Name:           glite-lb-utils
Version:        2.3.7
Release:        1%{?dist}
Summary:        gLite Logging and Bookkeeping auxiliary utilities

Group:          System Environment/Base
License:        ASL 2.0
Url:            http://glite.cern.ch
Vendor:         EMI
Source:         http://scientific.zcu.cz/emi/emi.lb.utils/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  chrpath
BuildRequires:  cppunit-devel
BuildRequires:  glite-lb-types
BuildRequires:  glite-jobid-api-c-devel
BuildRequires:  glite-lb-client-devel
BuildRequires:  glite-lb-state-machine-devel
BuildRequires:  glite-lbjp-common-jp-interface-devel
BuildRequires:  glite-lbjp-common-maildir-devel
BuildRequires:  glite-lbjp-common-trio-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig

%description
glite-lb-utils are gLite LB utilities used for dumping (glite-lb-dump) and
purging (glite-lb-purge) data from LB server, for loading (glite-lb-load) data
to server, for real time monitoring (glite-lb-mon) and post-mortem statistics
(glite-lb-statistics).


%prep
%setup -q


%build
/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=%{_prefix} --libdir=%{_lib} --project=emi --module lb.utils
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make


%check
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make check


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc LICENSE project/ChangeLog doc/README.LB-monitoring doc/README.LB-statistics
%{_bindir}/glite-lb-bkpurge-offline
%{_bindir}/glite-lb-dump
%{_bindir}/glite-lb-dump_exporter
%{_bindir}/glite-lb-load
%{_bindir}/glite-lb-mon
%{_bindir}/glite-lb-purge
%{_bindir}/glite-lb-state_history
%{_bindir}/glite-lb-statistics
%{_mandir}/*/*.gz


%changelog
* Tue Mar 26 2013 CESNET Product Teams <emi-lb@metacentrum.cz> - 2.3.7-1
- automatically generated package
